Subject: Re: Thoughts about a real hebrew support in menus

From: Mikhael Goikhman <[email-masked]>
Date: Sat, 5 Jun 1999 17:34:58 +0300 (IDT)

On Fri, 4 Jun 1999, Matthias Clasen wrote:

> >
> > With the new menu code it is easy to create hebrew-like menus.
> > Actually, to have a real hebrew/arabic support, there must be an additional
> > format subdirective, say "!", added to label directives: %!l, %!r, %!c,
> > which reverts characters in labels. So "Salam" and %!r gives: " malaS".
> > Or it is, probably, better yet instead of this subdirective to have
> > MenuStyle options NormalLabels (default) and ReverseLabels.
> 
> Shouldn't this be handled by I18N in a cleaner way ? I think R6 output
> methods also support complicated things like right-to-left vs left-to-right
> and context-dependent drawing ?

Yes, you are right. It was stupid of me to suggest a ReverseLabels option.

Regards,
Mikhael.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]